### Function

# Pango.TabArray.new_with_positions

#### Declaration [src]

    PangoTabArray*
    pango_tab_array_new_with_positions (
      gint size,
      gboolean positions_in_pixels,
      PangoTabAlign first_alignment,
      gint first_position,
      ...
    )

#### Description [src]

Creates * a `PangoTabArray` and allows you to specify the alignment and position of each tab stop.

You must provide an alignment and position for `size` tab stops.

#### Parameters

`size` | `gint`
| number of tab stops in the array
`positions_in_pixels` | `gboolean`
| whether positions are in pixel units
`first_alignment` | `PangoTabAlign`
| alignment of first tab stop
`first_position` | `gint`
| position of first tab stop
`...` | ``
| additional alignment/position pairs

#### Return value

Returns: `PangoTabArray`
the newly allocated `PangoTabArray`, which should be freed with `pango_tab_array_free()`.
Ownership of the data is transferred to the caller